[DEFAULT]
# the base url of your canvas server
API_URL = https://study.qworld.net
# you can generate an api key in your canvas account settings
API_KEY = GvRMoqYlGqhUNLeju31PRSejhJ5HLlJKpEZQqcdFzlgrE3HqGam0vsaPGbog7iRi


# Course details
# Look up the course number from the course url
CANVAS_COURSE_ID = 79

# List of assignments
# Entries in order are
#   Canvas assignment id number,
#   Nbgrader assignment name,
#   Notebook name without .ipynb
# Place each entry within double quotes
ASSIGNMENTS = [
    ["147", "qubo_formulation", "qubo_formulation"],
    ["90", "bqm", "bqm"],
    ["90", "solving_dwave", "solving_dwave"]
        ]

# If True, then new students on Canvas will be added
# to the nbgrader database. Otherwise, new students
# will not be upgraded.
BOOL_UPDATE_STUDENT_LIST = True

# This error message is posted if there is some error with the grading the file the student uploaded.
FEEDBACK_ERROR_TEXT = Your submission is not a notebook file, or you used a notebook editor that changed the notebook metadata, which is required for the autograder to function. Please submit a proper notebook, or contact a Workshop Mentor or Leader.
